Bug#933813: marked as done (libffado: please update admin/config.guess to support newer architectures)

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#933813: marked as done (libffado: please update admin/config.guess to support newer architectures)

Debian Bug Tracking System
Your message dated Mon, 05 Aug 2019 00:20:14 +0000
with message-id <[hidden email]>
and subject line Bug#933813: fixed in libffado 2.4.1-1
has caused the Debian Bug report #933813,
regarding libffado: please update admin/config.guess to support newer architectures
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
933813: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=933813
Debian Bug Tracking System
Contact [hidden email] with problems

Source: libffado
Version: 2.4.1-0.1
Severity: important
Tags: patch upstream
Justification: Policy 4.3
User: [hidden email]
Usertags: riscv64

libffado fail to build from source on riscv64 as the admin/config.guess
file is too old (2013-06-10) to recognize this architecture:

| I couldn't find the 'xdg-desktop-menu' and 'xdg-icon-resource' programs. These
| are needed to add the fancy entry for the mixer to your menu, but you can still
| start it by executing "ffado-mixer".
| Checking for dbus-1 (1.0 or higher)... yes
| Checking for dbus-c++-1 (0 or higher)... yes
| Checking for alsa (0 or higher)... no
| Checking whether 'which dbusxx-xml2cpp' executes yes
| Checking for variable session_bus_services_dir in package dbus-1... yes
| Trying to find the system triple: admin/config.guess: unable to guess system type
|
| This script, last modified 2013-06-10, has failed to recognize
| the operating system you are using. It is advised that you
| download the most up to date version of the config scripts from
|
|   http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.guess;hb=HEAD
| and
|   http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.sub;hb=HEAD
|
| If the version you run (admin/config.guess) is already up to date, please
| send the following data and any information you think might be
| pertinent to <[hidden email]> in order to provide the needed
| information to handle your system.
|
| config.guess timestamp = 2013-06-10
|
| uname -m = riscv64
| uname -r = 4.19.26
| uname -s = Linux
| uname -v = #3 SMP Sun Mar 3 11:02:26 UTC 2019

A full build log is available there:
https://buildd.debian.org/status/fetch.php?pkg=libffado&arch=riscv64&ver=2.4.1-0.1&stamp=1564856268&raw=0


As per Debian policy 4.3 this file should be updated at build time from
autotools-dev or at least regularly. Please find attached a patch
implementing the second option, as I am not sure how to do that with
CDBS and scons.

Source: libffado
Source-Version: 2.4.1-1

We believe that the bug you reported is fixed in the latest version of
libffado, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mattia Rizzolo <[hidden email]> (supplier of updated libffado package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 05 Aug 2019 01:30:48 +0200
Source: libffado
Architecture: source
Version: 2.4.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Multimedia Maintainers <[hidden email]>
Changed-By: Mattia Rizzolo <[hidden email]>
Closes: 933813
Changes:
 libffado (2.4.1-1) unstable; urgency=medium
 .
   * Team upload.
   * Add a patch to stop using config.guess to determine the host CPU,
     instead using DEB_HOST_GNU_CPU.  Closes: #933813
Checksums-Sha1:
 ec841c47f0b5278e97aea0fd4a2834d2160e5e2e 2566 libffado_2.4.1-1.dsc
 ab71734ee75f2d747a2d4a7be53971dd9018c873 10816 libffado_2.4.1-1.debian.tar.xz
 d94af56c9c22fba3083ed3b042f536600d83d418 12881 libffado_2.4.1-1_amd64.buildinfo
Checksums-Sha256:
 d435565ca015be38aa19a9cd451965f7b06446de6f4f5830102effad49dc11a5 2566 libffado_2.4.1-1.dsc
 b4604a4f3e04628a0b5eb06ef02faf7d4e11c15e7e7bb99928e0aeff863b6c76 10816 libffado_2.4.1-1.debian.tar.xz
 a752abe3b5ea4f1f7e62f56722196ed543f3feb0de6009d57082a9691e42a30b 12881 libffado_2.4.1-1_amd64.buildinfo
Files:
 3479a8ed1e29048f3f0c7284b88b20d0 2566 libs optional libffado_2.4.1-1.dsc
 4e1e822e76abfd567950f296b7256619 10816 libs optional libffado_2.4.1-1.debian.tar.xz
 202c16625628d8cc9baa225f807ab2fe 12881 libs optional libffado_2.4.1-1_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEi3hoeGwz5cZMTQpICBa54Yx2K60FAl1HbQwACgkQCBa54Yx2
K60fyxAAtV7gjyb2VBIEUFFW5zQ43FMDOm1bJMYWHC4LvbCPYP4GeJt/zmE6h2vO
YBa1j5D9bHudUnB30HiYiSE1GVG0sbK+iJjTOnp0Hsn+IGItbMPteEAHk9i506BJ
y7HZfMFGLSNWWZB3c+pRI/j0dQr5oAojbbwye4BtldSCncA/F+yFUSaL/cDoHvAk
3upzg56qFPXOjPopZcIRd5Z41KgmJwih9aqDKa7l+wiLeBosU66CO8CZ/enydPNJ
fJvjZ4o8GZCHbkbdJRFBP9hP8rpuYJel7rPu+eNKW0hHJw1j98wDeG8ZgqJ79ijv
X3QqmBkAg3pG6eZ2MTKxpSJpXuL82Xmy/7w87VaY85ghlpZ9Gx7qABuYVmGKwt+B
UJwcY1MoeEYICKOgqxXtdbR6Flp7sRH0ooeEI0i3xrIrTKSCFGtlWc0ViCtoEOZz
dgfcG4TOjoXhlXh+G/8+8FXduF0nXEFgcMiRis95LW3tcTG0U19NeDPy5skzfbSe
6gIH9HAc/0+gYaJIKDW/ph4sqQSVgkc9jti6/hrm6mIsXL0MkTSH7KRHg2cwmS0Z
O5X1zi8JPgREIKlzkHP8CjtSEasz78UC1g5kHL0skBnc3ujTrGRe7umu8oynVSSW
Rdl+/zC4dLZCToUzpFUaJXop/J7q1lIbSOqdm/dTEg27dKbaY9E=
=gEzJ
-----END PGP SIGNATURE-----

libffado.update-config-guess.patch (56K) Download Attachment